All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
blas3range.cpp File Reference
`#include <iostream>`
`#include <boost/numeric/ublas/io.hpp>`
`#include <boost/numeric/ublas/triangular.hpp>`
`#include <boost/numeric/ublas/matrix_sparse.hpp>`
`#include <boost/numeric/ublas/matrix.hpp>`
`#include <boost/numeric/ublas/matrix_proxy.hpp>`
`#include <boost/numeric/ublas/lu.hpp>`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/matrix_proxy.hpp"`
`#include "viennacl/tools/random.hpp"`
`#include "viennacl/tools/timer.hpp"`

Go to the source code of this file.

## Macros

#define | NDEBUG
#define | VIENNACL_WITH_UBLAS 1
#define | BLAS3_MATRIX_SIZE 1500

## Functions

int | main ()

## Macro Definition Documentation

#define BLAS3_MATRIX_SIZE 1500

Examples:
  blas3.cpp.

Definition at line 61 of file blas3range.cpp.

#define NDEBUG

Definition at line 26 of file blas3range.cpp.

#define VIENNACL_WITH_UBLAS 1

Definition at line 48 of file blas3range.cpp.

## Function Documentation

int main | ( |  | ) |

Definition at line 65 of file blas3range.cpp.